## org.flexdock.plaf.common.border
Class RoundedLineBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          javax.swing.border.LineBorder
              org.flexdock.plaf.common.border.RoundedLineBorder

All Implemented Interfaces:
  java.io.Serializable, javax.swing.border.Border

    public class RoundedLineBorder

extends javax.swing.border.LineBorder

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.border.LineBorder
`lineColor, roundedCorners, thickness`

Constructor Summary
`RoundedLineBorder(java.awt.Color color, int arcWidthHeight)`
`RoundedLineBorder(java.awt.Color color, int arcWidthHeight, int thickness)`

Method Summary
`void` `paintBorder(java.awt.Component component, java.awt.Graphics g, int i, int j, int k, int l)`
`void` `setFilled(boolean filled)`

Methods inherited from class javax.swing.border.LineBorder
`createBlackLineBorder, createGrayLineBorder, getBorderInsets, getBorderInsets, getLineColor, getRoundedCorners, getThickness, isBorderOpaque`

Methods inherited from class javax.swing.border.AbstractBorder
`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoundedLineBorder

    public RoundedLineBorder(java.awt.Color color,
                             int arcWidthHeight)

### RoundedLineBorder

    public RoundedLineBorder(java.awt.Color color,
                             int arcWidthHeight,
                             int thickness)

Method Detail

### setFilled

    public void setFilled(boolean filled)

### paintBorder

    public void paintBorder(java.awt.Component component,
                            java.awt.Graphics g,
                            int i,
                            int j,
                            int k,
                            int l)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`
  Overrides:
    `paintBorder` in class `javax.swing.border.LineBorder`